# parametres
r=1.7;
K=500.0;
simuDuree = 10;

temps = seq(1,simuDuree); # les temps auxquels on veut calculer la densite
pop = rep(0,simuDuree); # initialiser le vecteur des densites
pop[1] = 10; # definir la condition initiale

for (i in 2:simuDuree) {
   pop[i] = pop[i-1]*exp(r*(1-pop[i-1]/K));
}

# la commande suivante cree une chaine de charactere
# qui dit "Modele logistique, r=1.7"
titre = paste("Modele logistique, r = ",r);
# et cette chaine de charactere nous sert comme titre du graphique
plot(temps,pop,xlab="temps",ylab="Densite",main=titre,type='b')

